[BETA] This API is in beta state, which means it may change or be removed in the future.
Returns all configured Context fields that have been created.
Authentication
Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format
Path parameters
projectIdstringRequired
Query parameters
includestringOptional
Whether the response should include project-specific or root context fields in addition to the fields in the default response. When querying the root context API, `include=project` will yield a response that includes all project-specific context fields in addition to all root context fields. Conversely, when querying a project-specific context API, using `include=root` will yield a response that includes all root context fields in addition to the project-specific context fields. The other combinations have no effect, because the responses already include those fields. When including project-specific context fields via the root-level API, context fields in private projects the user does not have access to will be omitted.
Response
contextFieldsSchema
namestring
The name of the context field
descriptionstring or null
The description of the context field.
stickinessboolean
Does this context field support being used for stickiness calculations
sortOrderinteger
Used when sorting a list of context fields. Is also used as a tiebreaker if a list of context fields is sorted alphabetically.
createdAtstring or nullformat: "date-time"
When this context field was created
usedInFeaturesinteger or null>=0
Number of projects where this context field is used in
usedInProjectsinteger or null>=0
Number of projects where this context field is used in
legalValueslist of objects
Allowed values for this context field schema. Can be used to narrow down accepted input
projectstring
The project this context field belongs to (if it is project-specific)
Whether the response should include project-specific or root context fields in addition to the fields in the default response. When querying the root context API, include=project will yield a response that includes all project-specific context fields in addition to all root context fields. Conversely, when querying a project-specific context API, using include=root will yield a response that includes all root context fields in addition to the project-specific context fields. The other combinations have no effect, because the responses already include those fields. When including project-specific context fields via the root-level API, context fields in private projects the user does not have access to will be omitted.